import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import GenerateUserStoriesView from '../views/GenerateUserStoriesView.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/generate-user-stories',
    name: 'generateUserStories',
    component: GenerateUserStoriesView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
